/**
 * 1. core
      -- setting
      -- tool (error-lst | pre-load | cut-text | masonry-css | mytable | tooltip | flex | v-element | scroll-tab)
      -- text & spacing
      -- title style (title-with-line | title-with-line-bottom | title-with-2line-bottom | title-with-border-left | title-with-img-bottom | title-with-2line | title-with-line-right | title-with-line-bg | title-fullbg | title-triangle-bottom-left | title-triangle-bottom-right-top-left | title-triangle-bottom-right-top-left | title-gradient | title-ribbon | ribbon-xeo)
      -- button style (btn-big | btn-shadow | btn-readmore | btn-primary | btn-border-primary | btn-second | btn-gradient | btn-black | btn-white | btn-border-white | btn-loading)
      -- plugin style (srollbar | select style | datetime pick | stick element | ilightbox | check box)
      -- effect styles (call incoming | video | text in img hover | underline | hover readmore | button bg right to left | dots animation | star | pin paper | rotating text | mask arrow)
**/

/*#region setting*/
p {
    margin: 0 0 5px 0;

    &:last-of-type {
        margin-bottom: 0;
    }
}

b {
    font-weight: $font-weight-bold;
}

a {
    @include animation();
    color: $black;

    &:hover {
        color: $primary-color;
    }

    &:hover,
    &:active,
    &:visited,
    &:focus {
        text-decoration: none;
    }
}

button {
    @include animation();
}

a,
button,
.btn,
* {

    // outline: none;outline-offset: 0;
    &:active,
    &:active:focus {
        outline: 0;
        background-image: none;
        -webkit-box-shadow: initial;
        box-shadow: inset initial;
    }

    &:focus {
        outline: initial;
        outline-offset: initial;
    }
}

body {
    font-family: $font-family-primary;
    font-weight: $font-weight-normal;
    font-style: normal;
    color: $black;
    overflow-x: hidden;
}

img,
iframe {
    max-width: 100%;
}

.form-control:focus,
input:focus {
    // -webkit-box-shadow: none;
    // box-shadow: none;
    // border-color: #018b40;
    outline: none;
    border-color: $primary-color;
    -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075),
        0 0 8px rgba(173, 220, 209, 0.6);
    box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075),
        0 0 8px rgba(173, 220, 209, 0.6);
}

// input::placeholder {color: #00C851;}
// input::-webkit-input-placeholder {color: #00C851;}
// input::-moz-placeholder {color: #00C851;}
// input:-ms-input-placeholder {color: #00C851;}
// input:-moz-placeholder {color: #00C851;}
.blog-content {

    h1,
    h2,
    h3,
    h4,
    h5,
    h6 {
        margin-bottom: 20px;
    }

    a {
        color: #337ab7;

        &:hover {
            color: #23527c;
        }
    }

    p {
        margin-bottom: 20px;
        font-size: 18px;
        line-height: $line-height;
    }

    img {
        text-align: center;
        margin: 20px auto;
        display: block;
        // display: -webkit-box;
    }

    >p:last-child {
        margin-bottom: 0;
    }
}

.container {
    width: 100%;
    max-width: 100%;
    padding-left: 15rem;
    padding-right: 15rem;
}

.unclearfix {

    &:after,
    &:before {
        content: initial;
        display: initial;
    }

    &:after {
        clear: initial;
    }
}

.my-ul {
    padding-left: 0;
    margin-top: 0;
    margin-bottom: 0;
}

[data-toggle~="collapse"],
[data-toggle~="modal"] {
    cursor: pointer;
}

.form-control {
    border-radius: 0;
    -webkit-box-shadow: none;
    box-shadow: none;
}

.a-link {
    display: block;
    width: 100%;
    height: 100%;
}

.lazy-wiget {
    opacity: 0;
    visibility: hidden;
}

.table-responsive,
.table {
    margin-bottom: 0;
}

.disabled {
    cursor: no-drop;
}

.progress {
    cursor: progress;
}

.bg-icon {
    background: url("/Templates/Website/global/img/sprite.png") 0 0 no-repeat;
}

.bg-paralax {
    background-attachment: fixed;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}

.tab-body {
    >.tab-pane {
        visibility: hidden;
        height: 0px;
        overflow: hidden;
    }

    .active {
        visibility: visible;
        height: auto;
        overflow: visible;
    }
}

.fb-comments {
    width: 100%;

    >span {
        width: 100% !important;

        iframe {
            width: 100% !important;
        }
    }
}

/*#endregion*/

/*#region tool*/
// HTML
// <div class="error-lst alert-danger" style="display: none">
//     <ul></ul>
// </div>
.error-lst {
    border: 1px dotted $red;
    border-radius: 10px;
    margin-bottom: 20px;

    ul li {
        list-style: none;
        position: relative;

        &:after {
            content: "\e808";
            font-family: "ecs";
            position: absolute;
            top: 0;
            left: -20px;
            color: $red;
        }
    }

    &.white {
        border-color: $white;

        ul li {
            color: $white;

            &:after {
                color: $white;
            }
        }
    }
}

// HTML
// <div class="pre-load">
//     <svg version="1.1" class="svg-loader" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" width="40px" height="40px" viewBox="0 0 40 40" enable-background="new 0 0 40 40" xml:space="preserve">
//         <path opacity="0.2" fill="#db166c" d="M20.201,5.169c-8.254,0-14.946,6.692-14.946,14.946c0,8.255,6.692,14.946,14.946,14.946 s14.946-6.691,14.946-14.946C35.146,11.861,28.455,5.169,20.201,5.169z M20.201,31.749c-6.425,0-11.634-5.208-11.634-11.634 c0-6.425,5.209-11.634,11.634-11.634c6.425,0,11.633,5.209,11.633,11.634C31.834,26.541,26.626,31.749,20.201,31.749z"></path>
//         <path fill="#db166c" d="M26.013,10.047l1.654-2.866c-2.198-1.272-4.743-2.012-7.466-2.012h0v3.312h0 C22.32,8.481,24.301,9.057,26.013,10.047z">
//             <animateTransform attributeType="xml" attributeName="transform" type="rotate" from="0 20 20" to="360 20 20" dur="0.5s" repeatCount="indefinite"></animateTransform>
//         </path>
//     </svg>
// </div>
.preload-container {
    position: relative;

    .pre-load {
        background-color: $bg-gray;
        position: absolute;
        width: 100%;
        height: 100%;
        text-align: center;
        display: none;
        top: 0;
        left: 0;
        z-index: 9;

        svg {
            position: absolute;
            top: calc(50% - 20px);
            left: calc(50% - 20px);

            path {
                fill: rgb(127, 187, 6);
            }
        }
    }
}

.cut-text {
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
}

.masonry-css {
    column-count: 4;
    column-gap: 15px;

    >* {
        display: block;
        width: 100%;
        -webkit-column-break-inside: avoid;
        page-break-inside: avoid;
        break-inside: avoid;
    }
}

.mytable {
    padding: 1px;

    thead {
        @include border-left($color: $primary-color);
        @include border-right($color: $primary-color);
        @include border-top($color: $primary-color);

        tr th {
            border-bottom: none;
            color: $white;
            background-color: $primary-color;
            text-align: center;
            padding: 20px;
        }
    }

    tbody {
        @include border-left();
        @include border-right();
        @include border-bottom();

        tr {
            @include animation();
            cursor: pointer;

            &:hover {
                background: $bg-gray;
            }

            td {
                @include border-bottom();
                @include border-right();
                text-align: center;
                padding: 20px;

                &:last-child {
                    border-right: 0;
                }
            }

            &:last-child td {
                border-bottom: none;
            }
        }
    }
}

.tooltip {
    &.top {
        .tooltip-inner {
            background-color: $primary-color;
        }

        .tooltip-arrow {
            border-top-color: $primary-color;
        }
    }

    &.bottom {
        .tooltip-inner {
            background-color: $primary-color;
        }

        .tooltip-arrow {
            border-bottom-color: $primary-color;
        }
    }

    &.right {
        .tooltip-inner {
            background-color: $primary-color;
        }

        .tooltip-arrow {
            border-right-color: $primary-color;
        }
    }

    &.left {
        .tooltip-inner {
            background-color: $primary-color;
        }

        .tooltip-arrow {
            border-left-color: $primary-color;
        }
    }
}

.magnify>.magnify-lens {
    background-color: $white !important;
}

.scroll-tab {
    overflow-y: hidden;
    overflow-x: auto;
    -webkit-overflow-scrolling: touch;
    -ms-overflow-style: none;
    -ms-scroll-snap-type: mandatory;
    -ms-scroll-snap-points-x: snapInterval(0%, 100%);
    -ms-scroll-chaining: chained;
    padding-bottom: 10px;

    .scroll-tab-container {
        white-space: nowrap;
        width: 100%;
        display: block;

        >* {
            display: table-cell;
        }
    }
}

/* flex */
.flex-container {
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
    -webkit-flex-direction: row;
    -ms-flex-direction: row;
    flex-direction: row;
    -webkit-flex-wrap: wrap;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
    -webkit-flex-flow: row wrap;
    -ms-flex-flow: row wrap;
    flex-flow: row wrap; // -webkit-justify-content: space-around;
    -ms-flex-pack: distribute; // justify-content: space-around;

    &.flex-item-center {
        -webkit-box-pack: center;
        -webkit-justify-content: center;
        -ms-flex-pack: center;
        justify-content: center;
    }

    &.row>.col,
    >.col {
        float: none;
    }

    .flex-left {
        -webkit-box-pack: start;
        -webkit-justify-content: flex-start;
        -ms-flex-pack: start;
        justify-content: flex-start;
    }

    .flex-right {
        -webkit-box-pack: end;
        -webkit-justify-content: flex-end;
        -ms-flex-pack: end;
        justify-content: flex-end;
    }
}

.flex-center {
    -webkit-box-align: center;
    -webkit-align-items: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-pack: center;
    -webkit-justify-content: center;
    -ms-flex-pack: center;
    justify-content: center;
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
}

.item-flex {
    display: -moz-flex;
    display: -ms-flex;
    display: -o-flex;
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    -webkit-flex-direction: -webkit-column;
    flex-direction: -webkit-column;
    flex-direction: -moz-column;
    -ms-flex-direction: -ms-column;
    flex-direction: -ms-column;
    flex-direction: -o-column;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -webkit-flex-direction: column;
    -ms-flex-direction: column;
    flex-direction: column;

    .text-container {
        display: -moz-flex;
        display: -ms-flex;
        display: -o-flex;
        display: -webkit-box;
        display: -webkit-flex;
        display: -ms-flexbox;
        display: flex;
        -moz-flex: 1 0 auto;
        -o-flex: 1 0 auto;
        -webkit-box-flex: 1;
        -webkit-flex: 1 0 auto;
        -ms-flex: 1 0 auto;
        flex: 1 0 auto;
        -webkit-flex-direction: -webkit-column;
        flex-direction: -webkit-column;
        flex-direction: -moz-column;
        -ms-flex-direction: -ms-column;
        flex-direction: -ms-column;
        flex-direction: -o-column;
        -webkit-box-orient: vertical;
        -webkit-box-direction: normal;
        -webkit-flex-direction: column;
        -ms-flex-direction: column;
        flex-direction: column;

        .des,
        h3 {
            -moz-flex-grow: 1;
            -o-flex-grow: 1;
            -webkit-box-flex: 1;
            -webkit-flex-grow: 1;
            -ms-flex-positive: 1;
            flex-grow: 1;
        }

        h3 {
            -webkit-box-align: center;
            -webkit-align-items: center;
            -ms-flex-align: center;
            align-items: center;
            -webkit-box-pack: center;
            -webkit-justify-content: center;
            -ms-flex-pack: center;
            justify-content: center;
            display: -webkit-box;
            display: -webkit-flex;
            display: -ms-flexbox;
            display: flex;
        }
    }
}

.flex-left {
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: left;
    -webkit-justify-content: left;
    -ms-flex-pack: left;
    justify-content: left;
}

.flex-right {
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: end;
    -webkit-justify-content: flex-end;
    -ms-flex-pack: end;
    justify-content: flex-end;
}

/* flex */

/* v-element */
.v-height {
    display: table;
    height: 100%;
    width: 100%;
}

.v-mid {
    display: table-cell;
    vertical-align: middle;
    width: 100%;
}

.v-top {
    // display: table-header-group;
    display: table-cell;
    width: 100%;
    vertical-align: top;
    // height: 100%;
}

.v-bot {
    // display: table-footer-group;
    display: table-cell;
    width: 100%;
    vertical-align: bottom;
}

/* v-element */
/*#endregion*/

/*#region title style*/
.title-with-line {
    text-align: center;
    position: relative;
    padding-bottom: 10px;

    span {
        position: relative;
        padding: 0 10px;
        z-index: 2;
    }

    &:after {
        @include border-bottom($size: 2px, $color: $primary-color);
        position: absolute;
        content: "";
        width: 50px;
        height: 1px;
        bottom: 0;
        left: calc(50% - 25px);
        z-index: 1;
    }
}

.title-with-line-bottom {
    text-transform: uppercase;
    position: relative;
    display: inline-block;
    padding-bottom: 10px;

    &:after {
        position: absolute;
        content: "";
        width: 50px;
        height: 2px;
        left: 0;
        bottom: 0;
        background-color: $primary-color;
    }
}

.title-with-2line-bottom {
    position: relative;
    text-transform: uppercase;

    span {
        display: inline-block;
        position: relative;
        padding-bottom: 10px;

        &:after {
            position: absolute;
            content: "";
            width: 100%;
            height: 3px;
            bottom: -1px;
            left: 0;
            z-index: 1;
            background-color: $primary-color;
        }
    }

    &:after {
        position: absolute;
        content: "";
        width: 100%;
        height: 1px;
        bottom: 0;
        left: 0;
        z-index: -1;
        background-color: $border-gray;
    }
}

.title-with-border-left {
    @include border-left($size: 3px, $color: $primary-color);
    padding-left: 5px;
}

.title-with-img-bottom {
    text-align: center;

    >*:nth-child(1) {
        display: block;
    }

    .icon {
        margin-top: 10px;
        display: inline-block;
        position: relative;

        &:before {
            position: absolute;
            content: "";
            width: 100px;
            height: 1px;
            background-color: $primary-color;
            left: -110px;
            bottom: calc(50% - 0.5px);
        }

        &:after {
            position: absolute;
            content: "";
            width: 100px;
            height: 1px;
            background-color: $primary-color;
            right: -110px;
            bottom: calc(50% - 0.5px);
        }
    }
}

.title-with-img-left {
    position: relative;
    padding-bottom: 5px;
    vertical-align: middle;
    display: inline-block;

    img {
        margin-right: 10px;
    }

    &:before {
        @include animation();
        bottom: 0;
        left: 0;
        position: absolute;
        content: "";
        width: 50px;
        height: 1px;
        background-color: $primary-color;
    }

    &:hover {
        &:before {
            width: 100%;
        }
    }
}

.title-with-2line {
    position: relative;
    text-align: center;
    display: block;

    span {
        background: $white;
        padding: 0 20px;
        position: relative;
        z-index: 9;
        display: inline-block;
    }

    &:after,
    &:before {
        @include border-bottom($size: 2px, $color: $border-gray);
        position: absolute;
        content: "";
        width: 100%;
        height: 2px;
        top: calc(50% - 1px);
        z-index: 1;
    }

    &:after {
        left: 0;
    }

    &:before {
        right: 0;
    }
}

.title-with-line-right {
    position: relative;
    display: block;

    span {
        background: $primary-color;
        padding-right: 10px;
        position: relative;
        z-index: 2;
        display: inline-block;
    }

    &:after {
        position: absolute;
        content: "";
        height: 1px;
        width: 100%;
        top: calc(50% - 0.5px);
        right: 0;
        background: $white;
        z-index: 1;
    }
}

// .title-with-line-bg {
//   position: relative;
//   margin-bottom: 20px;
//   span {
//     display: inline-block;
//     padding: 10px 20px;
//     background-color: $primary-color;
//     text-transform: uppercase;
//     font-weight: $font-weight-bold;
//     color: $white;
//   }
//   &:after {
//     content: "";
//     position: absolute;
//     bottom: 0;
//     right: 0;
//     width: 100%;
//     height: 3px;
//     background: url(../img/title-bg.png) no-repeat bottom right $primary-color;
//   }
// }

// .title-fullbg {
//   padding: 10px 20px;
//   background: url(../img/title-bg.png) no-repeat center right $primary-color;
//   color: $white
// }

// .title-triangle-bottom-left {
//   position: relative;
//   display: inline-block;
//   background: $primary-color;
//   padding: 10px 20px;
//   &:after {
//     width: 0;
//     height: 0;
//     border-bottom: 40px solid $primary-color;
//     border-right: 30px solid transparent;
//     position: absolute;
//     top:0;
//     right: -30px;
//     content: ""
//   }
// }

// .title-triangle-bottom-right-top-left {
//   position: relative;
//   display: inline-block;
//   background: $primary-color;
//   padding: 10px 20px;
//   &:after {
//     width: 0;
//     height: 0;
//     border-bottom: 40px solid $primary-color;
//     border-left: 30px solid transparent;
//     position: absolute;
//     top:0;
//     left: -30px;
//     content: ""
//   }
//   &:before {
//     width: 0;
//     height: 0;
//     border-top: 40px solid $primary-color;
//     border-right: 30px solid transparent;
//     position: absolute;
//     top:0;
//     right: -30px;
//     content: ""
//   }
// }

// .title-gradient {
//   display: inline-block;
//   position: relative;
//   color: #fff;
//   background: #000;
//   mix-blend-mode: lighten;
//   /* if bg is light color
//   color: #000;
//   background: #fff;
//   mix-blend-mode: multiply;*/
//   &::before {
//     content: '';
//     display: block;
//     position: absolute;
//     top: 0;
//     right: 0;
//     bottom: 0;
//     left: 0;
//     background: -webkit-gradient(linear,left top, right top,from(#fdb913), color-stop(25%, #ffe55a), color-stop(50%, #ffec88), color-stop(75%, #ffe55a), to(#c28e0f));
//     background: -webkit-linear-gradient(left,#fdb913 0%, #ffe55a 25%, #ffec88 50%, #ffe55a 75%, #c28e0f 100%);
//     background: -o-linear-gradient(left,#fdb913 0%, #ffe55a 25%, #ffec88 50%, #ffe55a 75%, #c28e0f 100%);
//     background: linear-gradient(to right,#fdb913 0%, #ffe55a 25%, #ffec88 50%, #ffe55a 75%, #c28e0f 100%);
//     pointer-events: none;
//   }
//   ::before {
//     mix-blend-mode: multiply;
//     /*mix-blend-mode: screen;*/
//   }
// }

// .title-ribbon {
//   border-top-left-radius: 4px;
//   border-bottom-left-radius: 4px;
//   position: relative;
//   padding: 1px 0 1px 5px;
//   text-align: left;
//   font-size: 13px;
//   color: $white;
//   min-width: 50px;
//   &:after {
//     content: "";
//     position: absolute;
//     right: -1px;
//     bottom: 0;
//     width: 0;
//     height: 0;
//     border-right: 10px solid $white;
//     border-top: 10px solid transparent;
//     border-bottom: 10px solid transparent;
//   }
// }

// .ribbon-xeo {
//   width: 85px;
//   height: 88px;
//   overflow: hidden;
//   position: absolute;
//   top: -3px;
//   right: -3px;
//   .ribbon-xeo-item {
//     color: $white;
//     text-align: center; // text-shadow: rgba(255,255,255,0.5) 0px 1px 0px;
//     -moz-transform: rotate(45deg);
//     -webkit-transform: rotate(45deg);
//     -ms-transform: rotate(45deg);
//     transform: rotate(45deg);
//     position: relative;
//     padding: 7px 0;
//     left: -5px;
//     top: 15px;
//     width: 120px;
//     background-color: $red;
//     // background-image:  -moz-linear-gradient(top, #BFDC7A, #8EBF45);
//     // background-image:  -ms-linear-gradient(top, #BFDC7A, #8EBF45);
//     // background-image:  -webkit-gradient(linear, left top, left bottom, from(#BFDC7A), to(#8EBF45));
//     // background-image:  -webkit-linear-gradient(top, #BFDC7A, #8EBF45);
//     // background-image:  -o-linear-gradient(top, #BFDC7A, #8EBF45);
//     // background-image:  linear-gradient(top, #BFDC7A, #8EBF45);
//     // -webkit-box-shadow: 0px 0px 3px rgba(0,0,0,0.3);
//     // box-shadow: 0px 0px 3px rgba(0,0,0,0.3);
//     &:before,
//     &:after {
//       content: "";
//       border-top: 3px solid $red;
//       border-left: 3px solid transparent;
//       border-right: 3px solid transparent;
//       position: absolute;
//       bottom: -3px;
//       z-index: -1;
//     }
//     &:before {
//       left: 0;
//     }
//     &:after {
//       right: 0;
//     }
//   }
// }
/*#endregion*/

/*#region button style*/
.btn {
    border-radius: 0;
}

.btn-big {
    padding: 10px 35px;
    text-transform: uppercase;
    font-weight: $font-weight-bold;
}

.btn-shadow {
    -webkit-box-shadow: 0 2px 5px 0 rgba(0, 0, 0, 0.16),
        0 2px 10px 0 rgba(0, 0, 0, 0.12);
    box-shadow: 0 2px 5px 0 rgba(0, 0, 0, 0.16), 0 2px 10px 0 rgba(0, 0, 0, 0.12);

    &:hover {
        -webkit-box-shadow: 0 5px 11px 0 rgba(0, 0, 0, 0.18),
            0 4px 15px 0 rgba(0, 0, 0, 0.15);
        box-shadow: 0 5px 11px 0 rgba(0, 0, 0, 0.18),
            0 4px 15px 0 rgba(0, 0, 0, 0.15);
    }
}

.btn-readmore {
    display: inline-block;
    padding-bottom: 2.5px;
    position: relative;
    font-weight: $font-weight-bold;
    text-transform: uppercase;

    &:after {
        @include animation();
        content: "";
        width: 1px;
        height: 2px;
        background: $primary-color;
        left: 50%;
        right: 50%;
        bottom: -2px;
        position: absolute;
        opacity: 0;
    }

    &:hover:after {
        width: 100%;
        left: 0;
        right: 0;
        opacity: 1;
    }
}

.btn-primary {
    @include border($color: $primary-color);
    background: $primary-color;
    color: $white;

    &:hover {
        background: $primary-color-hover;
        border-color: $primary-color-hover;
        color: $white;
    }
}

.btn-border-primary {
    @include border($color: $primary-color);
    background: transparent;
    color: $black;

    &:hover {
        background: $primary-color;
        color: $white;
    }
}

.btn-second {
    @include border($color: $second-color);
    background: $second-color;
    color: $white;

    &:hover {
        background: $second-color-hover;
        border-color: $second-color-hover;
        color: $white;
    }
}

.btn-gradient {
    background-image: -webkit-gradient(linear,
        left top,
        right top,
        from(#aaaaff),
        color-stop(51%, #fcbaf8),
        to(#aaaaff));
    background-image: -webkit-linear-gradient(left,
        #aaaaff 0%,
        #fcbaf8 51%,
        #aaaaff 100%);
    background-image: -o-linear-gradient(left,
        #aaaaff 0%,
        #fcbaf8 51%,
        #aaaaff 100%);
    background-image: linear-gradient(to right,
        #aaaaff 0%,
        #fcbaf8 51%,
        #aaaaff 100%);
    background-size: 200% auto;
    color: $white;
    border-color: transparent;
    border-radius: 0;

    &:hover {
        background-position: right center;
    }
}

.btn-black {
    @include border($color: $bg-black);
    background: $bg-black;
    color: $white;

    &:hover {
        background: $primary-color;
        border-color: $primary-color;
        color: $white;
    }
}

.btn-white {
    background-color: $white;
    border-color: $white;
    color: $bg-black;

    &:hover {
        background-color: $bg-black;
        border-color: $bg-black;
        color: $white;
    }
}

.btn-border-white {
    @include border($color: $white);
    background: transparent;
    color: $white;

    &:hover {
        background: $white;
        color: $primary-color;
    }
}

/* btn loading */
@-webkit-keyframes spin {
    0% {
        -webkit-transform: rotate(0deg);
        /* Chrome, Opera 15+, Safari 3.1+ */
        -ms-transform: rotate(0deg);
        /* IE 9 */
        transform: rotate(0deg);
        /* Firefox 16+, IE 10+, Opera */
    }

    100% {
        -webkit-transform: rotate(360deg);
        /* Chrome, Opera 15+, Safari 3.1+ */
        -ms-transform: rotate(360deg);
        /* IE 9 */
        transform: rotate(360deg);
        /* Firefox 16+, IE 10+, Opera */
    }
}

@keyframes spin {
    0% {
        -webkit-transform: rotate(0deg);
        /* Chrome, Opera 15+, Safari 3.1+ */
        -ms-transform: rotate(0deg);
        /* IE 9 */
        transform: rotate(0deg);
        /* Firefox 16+, IE 10+, Opera */
    }

    100% {
        -webkit-transform: rotate(360deg);
        /* Chrome, Opera 15+, Safari 3.1+ */
        -ms-transform: rotate(360deg);
        /* IE 9 */
        transform: rotate(360deg);
        /* Firefox 16+, IE 10+, Opera */
    }
}

.btn-loading {
    position: relative;
    overflow: hidden;

    >span {
        @include animation();
        display: block;
    }

    &.loading {
        >span {
            padding-right: 10px;
        }

        padding-right: 40px;

        &:after {
            opacity: 1;
        }
    }

    &:before,
    &:after {
        display: inline-block;
        vertical-align: middle;
        -webkit-transition: opacity 200ms linear, top 200ms linear,
            -webkit-transform 200ms linear;
        transition: opacity 200ms linear, top 200ms linear,
            -webkit-transform 200ms linear;
        -o-transition: transform 200ms linear, opacity 200ms linear,
            top 200ms linear;
        transition: transform 200ms linear, opacity 200ms linear, top 200ms linear;
        transition: transform 200ms linear, opacity 200ms linear, top 200ms linear,
            -webkit-transform 200ms linear;
        content: "";
        width: 1.66667em;
        height: 1.66667em;
        opacity: 0;
        -webkit-transform: translateY(0);
        -ms-transform: translateY(0);
        transform: translateY(0);
        position: absolute;
        top: calc(50% - 0.83333em);
        right: 8px;
    }

    &:before {
        background-repeat: no-repeat;
        background-color: transparent;
    }

    &:after {
        border-radius: 1.66667em;
        border: 0.16667em solid rgba(255, 255, 255, 0.2);
        border-top-color: rgba(255, 255, 255, 0.7);
        -webkit-animation: spin 500ms linear infinite;
        animation: spin 500ms linear infinite;
    }
}

/* btn loading */
/*#endregion*/

/*#region plugin style*/
/* animation example */
// .element-animation {
//   animation-name:updown;
//   animation-duration:1s;
//   animation-timing-function:linear;
//   animation-delay:0s;
//   animation-iteration-count:infinite;
//   animation-direction:alternate;
//   animation-fill-mode:none;
//   animation-play-state:running;
// }
// .element-animation {
//   -moz-animation: bounce 2s infinite;
//   -webkit-animation: bounce 2s infinite;
//   animation: bounce 2s infinite;
// }
// .element-animation:hover {
//   -moz-animation-play-state: paused;
//   -webkit-animation-play-state: paused;
//   animation-play-state: paused;
// }
/* animation example */

/* srollbar */
html::-webkit-scrollbar {
    width: 3px;
    height: 3px;
}

html::-webkit-scrollbar-track {
    background: rgb(111, 111, 111);
}

html::-webkit-scrollbar-thumb {
    width: 15px;
    background: $primary-color;
}

div::-webkit-scrollbar {
    width: 3px;
    height: 3px;
}

div::-webkit-scrollbar-track {
    background: rgb(111, 111, 111);
}

div::-webkit-scrollbar-thumb {
    width: 15px;
    background: $primary-color;
}

textarea::-webkit-scrollbar {
    width: 3px;
    height: 3px;
}

textarea::-webkit-scrollbar-track {
    background: rgb(111, 111, 111);
}

textarea::-webkit-scrollbar-thumb {
    width: 15px;
    background: $primary-color;
}

/* srollbar */

/* select style */
.select-hidden {
    display: none;
    visibility: hidden;
    padding-right: 10px;
}

.select {
    cursor: pointer;
    display: block;
    position: relative;
    width: 100%;
    height: 34px;
}

.select-styled {
    @include animation();
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 34px;
    padding: 6px 12px;
    font-size: 14px;
    line-height: 1.42857143;
    color: $black;
    background-color: transparent;
    border-right: 1px solid $gray;
    border-radius: 0;

    &:after {
        @include animation();
        content: "";
        width: 0;
        height: 0;
        border: 5px solid transparent;
        border-color: $gray transparent transparent transparent;
        position: absolute;
        top: 14px;
        right: 10px;
    }

    &:hover {
        background-color: $primary-color;
        color: $white;

        &:after {
            border-color: #fff transparent transparent transparent;
        }
    }

    &:active,
    &.active {
        background-color: $primary-color;
        color: $white;

        &:after {
            top: 9px;
            border-color: transparent transparent $white transparent;
        }
    }
}

.select-options {
    @include box-shadow1();
    display: none;
    position: absolute;
    top: 100%;
    right: 0;
    left: 0;
    z-index: 8;
    margin: 0;
    padding: 0;
    list-style: none;
    background-color: $primary-color;

    li {
        @include border($color: $gray);
        @include animation();
        margin: 0;
        width: 100%;
        height: 34px;
        padding: 6px 12px;
        font-size: 14px;
        line-height: 1.42857143;
        color: $black;
        background-color: $white;
        border-radius: 0;

        &:hover {
            color: $primary-color;
            background: $white;
            padding-left: 20px;
        }
    }

    li[rel="hide"] {
        display: none;
    }
}

/* select style */

/* datetime pick */
.select2-container--bootstrap.select2-container--focus .select2-selection,
.select2-container--bootstrap.select2-container--open .select2-selection {
    border-color: $primary-color;
    outline: none;
    -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075),
        0 0 8px rgba(173, 220, 209, 0.6);
    box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075),
        0 0 8px rgba(173, 220, 209, 0.6);
}

.select2-container--bootstrap .select2-dropdown {
    border-color: $primary-color;
}

.select2-container--bootstrap .select2-results__option--highlighted[aria-selected] {
    background: $primary-color;
}

.bootstrap-datetimepicker-widget .list-unstyled {
    padding-left: 0;
    list-style: none;
}

/* datetime pick */

/* stick element */
.affix-top {
    position: relative;
}

.affix {
    top: 20px;
}

.affix,
.affix-bottom {
    /*max-width: 25%;*/
}

.affix-bottom {
    position: absolute;
}

/* stick element */

/* ilightbox */
.ilightbox {
    cursor: zoom-in;
    position: relative;
    display: block;

    &:after {
        @include animation();
        position: absolute;
        content: "\e830";
        font-family: "ecs";
        top: 10px;
        right: 10px;
        font-size: 30px;
        line-height: 30px;
        color: $white;
        opacity: 0;
    }

    &:hover {
        &:after {
            opacity: 1;
        }
    }
}

/* ilightbox */

/* check box */
.checkbox-container {

    [type="checkbox"]:not(:checked),
    [type="checkbox"]:checked,
    [type="radio"]:not(:checked),
    [type="radio"]:checked {
        position: absolute;
        left: -9999px;

        +label {
            position: relative;
            padding-left: 1.95em;
            cursor: pointer;

            &:before {
                @include border($size: 2px);
                content: "";
                position: absolute;
                left: 0;
                top: 0;
                width: 1.25em;
                height: 1.25em;
                background: $white;
                /*border-radius: 4px;*/
                /*box-shadow: inset 0 1px 3px rgba(0,0,0,.1);*/
            }

            &:after {
                content: "\e809";
                font-family: "ecs";
                position: absolute;
                top: 0.1em;
                left: 0.3em;
                font-size: 1.3em;
                line-height: 0.8;
                color: $primary-color;
                -webkit-transition: all 0.2s;
                -o-transition: all 0.2s;
                transition: all 0.2s;
            }
        }
    }

    [type="checkbox"]:not(:checked),
    [type="radio"]:not(:checked) {
        +label:after {
            opacity: 0;
            -webkit-transform: scale(0);
            -ms-transform: scale(0);
            transform: scale(0);
        }
    }

    [type="checkbox"]:checked,
    [type="radio"]:checked {
        +label:after {
            opacity: 1;
            -webkit-transform: scale(1);
            -ms-transform: scale(1);
            transform: scale(1);
        }
    }

    [type="checkbox"]:disabled:not(:checked),
    [type="checkbox"]:disabled:checked,
    [type="radio"]:disabled:not(:checked),
    [type="radio"]:disabled:checked {
        +label:before {
            box-shadow: none;
            border-color: #bbb;
            background-color: #ddd;
        }
    }

    [type="checkbox"]:disabled:checked,
    [type="radio"]:disabled:checked {
        +label:after {
            color: #999;
        }
    }

    [type="checkbox"]:disabled,
    [type="radio"]:disabled {
        +label {
            color: #aaa;
        }
    }

    [type="checkbox"]:checked:focus,
    [type="checkbox"]:not(:checked):focus,
    [type="radio"]:checked:focus,
    [type="radio"]:not(:checked):focus {
        +label:before {
            @include border($size: 2px, $color: $primary-color);
        }
    }

    label {
        &:before {
            @include animation();
        }

        &:hover {
            &:before {
                @include border($size: 2px, $color: $primary-color);
            }
        }
    }

    &:last-child {
        label {
            margin-bottom: 0;
        }
    }

    &.checkbox-img {

        [type="checkbox"]:not(:checked),
        [type="checkbox"]:checked,
        [type="radio"]:not(:checked),
        [type="radio"]:checked {
            &+label {
                padding-left: 0;

                img {
                    @include animation();
                }

                &:before,
                &:after {
                    display: none;
                }
            }
        }

        [type="checkbox"]:checked,
        [type="radio"]:checked {
            &+label {
                img {
                    @include box-shadow2();
                    @include border($size: 4px, $color: $bg-black);
                }
            }
        }
    }
}

/* check box */
/*#endregion*/

/*#region effect styles*/
/* call incoming */
@keyframes callincoming {
    0% {
        -webkit-transform: scale(1);
        -ms-transform: scale(1);
        transform: scale(1);
    }

    15% {
        -webkit-box-shadow: 0 0 0 5px rgba(255, 255, 255, 0.4);
        box-shadow: 0 0 0 5px rgba(255, 255, 255, 0.4);
    }

    25% {
        -webkit-box-shadow: 0 0 0 10px rgba(255, 255, 255, 0.4),
            0 0 0 20px rgba(255, 255, 255, 0.2);
        box-shadow: 0 0 0 10px rgba(255, 255, 255, 0.4),
            0 0 0 20px rgba(255, 255, 255, 0.2);
    }

    25% {
        -webkit-box-shadow: 0 0 0 15px rgba(255, 255, 255, 0.4),
            0 0 0 30px rgba(255, 255, 255, 0.2);
        box-shadow: 0 0 0 15px rgba(255, 255, 255, 0.4),
            0 0 0 30px rgba(255, 255, 255, 0.2);
    }
}

@-moz-keyframes callincoming {
    0% {
        -webkit-transform: scale(1);
        -ms-transform: scale(1);
        transform: scale(1);
    }

    15% {
        -webkit-box-shadow: 0 0 0 5px rgba(255, 255, 255, 0.4);
        box-shadow: 0 0 0 5px rgba(255, 255, 255, 0.4);
    }

    25% {
        -webkit-box-shadow: 0 0 0 10px rgba(255, 255, 255, 0.4),
            0 0 0 20px rgba(255, 255, 255, 0.2);
        box-shadow: 0 0 0 10px rgba(255, 255, 255, 0.4),
            0 0 0 20px rgba(255, 255, 255, 0.2);
    }

    25% {
        -webkit-box-shadow: 0 0 0 15px rgba(255, 255, 255, 0.4),
            0 0 0 30px rgba(255, 255, 255, 0.2);
        box-shadow: 0 0 0 15px rgba(255, 255, 255, 0.4),
            0 0 0 30px rgba(255, 255, 255, 0.2);
    }
}

@-webkit-keyframes callincoming {
    0% {
        -webkit-transform: scale(1);
        -ms-transform: scale(1);
        transform: scale(1);
    }

    15% {
        -webkit-box-shadow: 0 0 0 5px rgba(255, 255, 255, 0.4);
        box-shadow: 0 0 0 5px rgba(255, 255, 255, 0.4);
    }

    25% {
        -webkit-box-shadow: 0 0 0 10px rgba(255, 255, 255, 0.4),
            0 0 0 20px rgba(255, 255, 255, 0.2);
        box-shadow: 0 0 0 10px rgba(255, 255, 255, 0.4),
            0 0 0 20px rgba(255, 255, 255, 0.2);
    }

    25% {
        -webkit-box-shadow: 0 0 0 15px rgba(255, 255, 255, 0.4),
            0 0 0 30px rgba(255, 255, 255, 0.2);
        box-shadow: 0 0 0 15px rgba(255, 255, 255, 0.4),
            0 0 0 30px rgba(255, 255, 255, 0.2);
    }
}

.call-incoming-hover,
.call-incoming-hover:hover {
    -webkit-animation: callincoming 2s ease infinite;
    animation: callincoming 2s ease infinite;
    -webkit-backface-visibility: hidden;
    -moz-backface-visibility: hidden;
    -ms-backface-visibility: hidden;
    backface-visibility: hidden;
}

/* call incoming */

/* video */
// .effect-video {
//   .img-container {
//     position: relative;
//     img {
//       @include animation();
//     }
//     .icon-container {
//       position: absolute;
//       text-align: center;
//       top:0;
//       left: 0;
//       width: 100%;
//       height: 100%;
//       i {
//         @include animation();
//         font-size: 35px;
//         line-height: 35px;
//         width: 35px;
//         height: 35px;
//         color: $primary-color;
//         opacity: 0;
//         position: absolute;
//         top:50%;
//         left: 50%;
//         -ms-transform: translate(-50%, -50%);
//         -webkit-transform: translate(-50%, -50%);
//         transform: translate(-50%, -50%);
//         display: block;
//         &:after {
//           position: absolute;
//           content: "";
//           border: 3px solid $primary-color;
//           border-radius: 50%;
//           width: 40px;
//           height: 40px;
//           left: -6px;
//           top: -3px;
//         }
//       }
//     }
//   }
//   &:hover,&.active {
//     .img-container img{
//        filter: blur(2px);
//     }
//     .icon-container {
//       i {
//         opacity: 1;
//         &:after {
//           @include border($size:3px, $style: dashed, $color: $primary-color);
//           -webkit-animation: spin 9s linear infinite;
//           -moz-animation: spin 9s linear infinite;
//           animation: spin 9s linear infinite;
//         }
//       }
//     }
//   }
// }
/* video */

/* text in img hover */
// .sarah-effect {
//   img {
//     max-width: none;
//     width: calc(100% + 20px);
//     -webkit-transition: opacity 0.35s, -webkit-transform 0.35s;
//     transition: opacity 0.35s, -webkit-transform 0.35s;
//     -o-transition: opacity 0.35s, transform 0.35s;
//     transition: opacity 0.35s, transform 0.35s;
//     transition: opacity 0.35s, transform 0.35s, -webkit-transform 0.35s;
//     -webkit-transform: translate3d(-10px,0,0);
//     transform: translate3d(-10px,0,0);
//     -webkit-backface-visibility: hidden;
//     backface-visibility: hidden;
//   }
//   h3 {
//     &:after {
//       position: absolute;
//       bottom: 0;
//       left: 0;
//       width: 100%;
//       height:2px;
//       background: $white;
//       content: '';
//       -webkit-transition: -webkit-transform 0.35s;
//       transition: -webkit-transform 0.35s;
//       -o-transition: transform 0.35s;
//       transition: transform 0.35s;
//       transition: transform 0.35s, -webkit-transform 0.35s;
//       -webkit-transform: translate3d(-150%,0,0);
//       transform: translate3d(-150%,0,0);
//     }
//   }
//   p {
//     opacity: 0;
//     -webkit-transition: opacity 0.35s, -webkit-transform 0.35s;
//     transition: opacity 0.35s, -webkit-transform 0.35s;
//     -o-transition: opacity 0.35s, transform 0.35s;
//     transition: opacity 0.35s, transform 0.35s;
//     transition: opacity 0.35s, transform 0.35s, -webkit-transform 0.35s;
//     -webkit-transform: translate3d(100%,0,0);
//     transform: translate3d(100%,0,0);
//   }
//   &:hover {
//     img {
//       opacity: 0.4;
//       -webkit-transform: translate3d(0,0,0);
//       transform: translate3d(0,0,0);
//     }
//     p {
//       opacity: 1;
//       -webkit-transform: translate3d(0,0,0);
//       transform: translate3d(0,0,0);
//     }
//     h3 {
//       &:after {
//         -webkit-transform: translate3d(0,0,0);
//         transform: translate3d(0,0,0);
//       }
//     }
//   }
// }
/* text in img hover */

/* underline */
// .underline {
//   width: calc(100%);
//   background-image: -webkit-linear-gradient(transparent calc(100% - 1px), $white 1px);
//   background-image: -o-linear-gradient(transparent calc(100% - 1px), $white 1px);
//   background-image: linear-gradient(transparent calc(100% - 1px), $white 1px);
//   background-repeat: no-repeat;
//   background-size: 0% 100%;
//   -webkit-transition: background-size 1s;
//   -o-transition: background-size 1s;
//   transition: background-size 1s;
//   &:hover {
//     .underline {background-size: 100% 100%;}
//   }
// }
// .underline-item {
//   position: relative;
//   &:before,&:after {
//     content: "";
//     height: 3px;
//     width: 0%;
//     background: $primary-color;
//     position: absolute;
//     bottom: 0;
//     -webkit-transition: .2s all linear;
//     -o-transition: .2s all linear;
//     transition: .2s all linear;
//   }
//   &:before {left:50%}
//   &:after {right:50%}
//   &:hover {
//     color: $primary-color;
//     &:before,&:after {
//       width: 100%;
//     }
//     &:before {left: 0%;}
//     &:after {right: 0%;}
//   }
//   &:active,&:focus {
//     color: $black;
//     &:before,&:after {background: $black;}
//   }
// }
/* underline */

/* hover readmore */
/* Read more https://tympanus.net/Development/HoverEffectIdeas */
// .lexi-effect {
//   .img-container {
//     overflow: hidden;
//     position: relative;
//     img {
//       margin: -10px 0 0 -10px;
//       max-width: none;
//       width: calc(100% + 10px);
//       opacity: 0.9;
//       -webkit-transition: opacity 0.35s, -webkit-transform 0.35s;
//       transition: opacity 0.35s, -webkit-transform 0.35s;
//       -o-transition: opacity 0.35s, transform 0.35s;
//       transition: opacity 0.35s, transform 0.35s;
//       transition: opacity 0.35s, transform 0.35s, -webkit-transform 0.35s;
//       -webkit-transform: translate3d(10px,10px,0);
//       transform: translate3d(10px,10px,0);
//       -webkit-backface-visibility: hidden;
//       backface-visibility: hidden;
//     }
//     .img-cap {
//       position: absolute;
//       width: 100%;
//       height: 100%;
//       top: 0;
//       left: 0;
//       p {
//         position: absolute;
//         right: 2%;
//         bottom: 13%;
//         padding: 5px 20px;
//         margin-bottom: 0;
//         text-align: right;
//         opacity: 0;
//         -webkit-transform: translate3d(20px,20px,0);
//         transform: translate3d(20px,20px,0);
//         font-size: 20px;
//         background: #db166c;
//         text-align: center;
//         color: #fff;
//         -webkit-transition: opacity 0.35s, -webkit-transform 0.35s;
//         transition: opacity 0.35s, -webkit-transform 0.35s;
//         -o-transition: opacity 0.35s, transform 0.35s;
//         transition: opacity 0.35s, transform 0.35s;
//         transition: opacity 0.35s, transform 0.35s, -webkit-transform 0.35s;
//         border-radius: 4px;
//       }
//       &:before {
//         position: absolute;
//         right: -100px;
//         bottom: -100px;
//         width: 300px;
//         height: 300px;
//         border: 2px solid #fff;
//         border-radius: 50%;
//         box-shadow: 0 0 0 900px rgba(255,255,255,0.2);
//         content: '';
//         opacity: 0;
//         -webkit-transform: scale3d(0.5,0.5,1);
//         transform: scale3d(0.5,0.5,1);
//         -webkit-transform-origin: 50% 50%;
//         -ms-transform-origin: 50% 50%;
//         transform-origin: 50% 50%;
//         -webkit-transition: opacity 0.35s, -webkit-transform 0.35s;
//         transition: opacity 0.35s, -webkit-transform 0.35s;
//         -o-transition: opacity 0.35s, transform 0.35s;
//         transition: opacity 0.35s, transform 0.35s;
//         transition: opacity 0.35s, transform 0.35s, -webkit-transform 0.35s;
//       }
//     }
//   }
//   &:hover {
//     .img-container {
//       img {
//         opacity: 0.6;
//         -webkit-transform: translate3d(0,0,0);
//         transform: translate3d(0,0,0);
//       }
//     }
//     .img-cap {
//       p {
//         opacity: 1;
//         -webkit-transform: translate3d(0,0,0);
//         transform: translate3d(0,0,0);
//       }
//       &:before {
//         opacity: 1;
//         -webkit-transform: scale3d(1,1,1);
//         transform: scale3d(1,1,1);
//       }
//     }
//   }
// }

// .steve-effect {
//   .img-container {
//     overflow: hidden;
//     position: relative;
//     img {
//       opacity: 1;
//       -webkit-transition: -webkit-transform 0.35s;
//       transition: -webkit-transform 0.35s;
//       -o-transition: transform 0.35s;
//       transition: transform 0.35s;
//       transition: transform 0.35s, -webkit-transform 0.35s;
//       -webkit-transform: perspective(1000px) translate3d(0,0,0);
//       transform: perspective(1000px) translate3d(0,0,0);
//     }
//   }
//   .img-cap {
//     position: absolute;
//     text-align: center;
//     width: 100%;
//     top: calc(50% - 20px);
//     left:0;
//     p {
//       margin-bottom: 0;
//       padding: 10px 0px;
//       width: 150px;
//       text-align: center;
//       background: $white;
//       color: $primary-color;
//       text-transform: uppercase;
//       font-weight: 800;
//       display: inline-block;
//       opacity: 0;
//       -webkit-transition: opacity 0.35s, -webkit-transform 0.35s;
//       transition: opacity 0.35s, -webkit-transform 0.35s;
//       -o-transition: opacity 0.35s, transform 0.35s;
//       transition: opacity 0.35s, transform 0.35s;
//       transition: opacity 0.35s, transform 0.35s, -webkit-transform 0.35s;
//       -webkit-transform: scale3d(0.9,0.9,1);
//       transform: scale3d(0.9,0.9,1);
//     }
//   }
//   &:hover {
//     .img-container {
//       img {
//         -webkit-transform: perspective(1000px) translate3d(0,0,21px);
//         transform: perspective(1000px) translate3d(0,0,21px);
//       }
//     }
//     .img-cap {
//       p {
//         opacity: 1;
//         -webkit-transform: scale3d(1,1,1);
//         transform: scale3d(1,1,1);
//       }
//     }
//   }
// }
/* hover readmore */

/* button bg right to left */
// .animated-button-bg {
//   position: relative;
//   -webkit-transition: all 0.4s cubic-bezier(0.42, 0, 0.58, 1);
//   -o-transition: all 0.4s cubic-bezier(0.42, 0, 0.58, 1);
//   transition: all 0.4s cubic-bezier(0.42, 0, 0.58, 1);
//   &:before {
//     display: block;
//     position: absolute;
//     top: 0px;
//     right: 0px;
//     height: 100%;
//     width: 0px;
//     z-index: -1;
//     content: '';
//     color: $white;
//     background: $primary-color;
//     -webkit-transition: all 0.4s cubic-bezier(0.42, 0, 0.58, 1);
//     -o-transition: all 0.4s cubic-bezier(0.42, 0, 0.58, 1);
//     transition: all 0.4s cubic-bezier(0.42, 0, 0.58, 1);
//   }
//   &:hover {
//     background: $primary-color;
//     &:before {
//       left: 0%;
//       right: auto;
//       width: 100%;
//     }
//   }
// }
/* button bg right to left */

/* heart animation wish list */
// @keyframes fave-heart {
//   0% {
//     background-position: 0 0;
//   }
//   100% {
//     background-position: -2800px 0;
//   }
// }
// @-ms-keyframes fave-heart {
//   0% {
//     background-position: 0 0;
//   }
//   100% {
//     background-position: -2800px 0;
//   }
// }
// @-o-keyframes fave-heart {
//   0% {
//     background-position: 0 0;
//   }
//   100% {
//     background-position: -2800px 0;
//   }
// }
// @-moz-keyframes fave-heart {
//   0% {
//     background-position: 0 0;
//   }
//   100% {
//     background-position: -2800px 0;
//   }
// }
// .heart-container {
//   position: relative;
//   width: 100px;
//   height: 100px;
//   background: transparent;
//   border: none;
//   .heart {
//     width: 100px;
//     height: 100px;
//     position: absolute;
//     left: 50%;
//     top: 50%;
//     -webkit-transform: translate(-50%, -50%);
//     -ms-transform: translate(-50%, -50%);
//     transform: translate(-50%, -50%);
//     background: url("../img/heart.png") no-repeat;
//     background-position: 0 0;
//     cursor: pointer;
//     margin-bottom: 0;
//   }
//   [type="checkbox"] {
//     opacity: 0
//   }
//   [type="checkbox"]:checked + .heart {
//     background-position: -2800px 0;
//     -webkit-animation: fave-heart 1s steps(28);
//     animation: fave-heart 1s steps(28);
//     -webkit-transition: background 1s steps(28);
//     -o-transition: background 1s steps(28);
//     transition: background 1s steps(28);
//   }
// }
/* heart animation wish list */

/* dots animation */
// @keyframes dotsloading {
//   0% {
//     opacity: .2;
//   }
//   20% {
//     opacity: 1;
//   }
//   100% {
//     opacity: .2;
//   }
// }
// @-ms-keyframes dotsloading {
//   0% {
//     opacity: .2;
//   }
//   20% {
//     opacity: 1;
//   }
//   100% {
//     opacity: .2;
//   }
// }
// @-o-keyframes dotsloading {
//   0% {
//     opacity: .2;
//   }
//   20% {
//     opacity: 1;
//   }
//   100% {
//     opacity: .2;
//   }
// }
// @-moz-keyframes dotsloading {
//   0% {
//     opacity: .2;
//   }
//   20% {
//     opacity: 1;
//   }
//   100% {
//     opacity: .2;
//   }
// }
// .dots {
//   span {
//     font-size: 30px;
//     &:nth-child(2) {
//       animation-delay: .2s;
//     }
//     &:nth-child(3) {
//       animation-delay: .4s;
//     }
//   }
//   &:hover span {
//     -webkit-animation-name: dotsloading;
//     animation-name: dotsloading;
//     -webkit-animation-duration: 1.4s;
//     animation-duration: 1.4s;
//     -webkit-animation-iteration-count: infinite;
//     animation-iteration-count: infinite;
//     -webkit-animation-fill-mode: both;
//     animation-fill-mode: both;
//   }
// }
/* dots animation */

/* star */
// HTML
// <div class="star-container">
//     <span class="label">Đánh giá của bạn:</span>
//     <span class="star-cb-group">
//         <input type="radio" id="rating-5-2" name="rating2" value="5" /><label for="rating-5-2">5</label>
//         <input type="radio" id="rating-4-2" name="rating2" value="4" checked="checked" /><label for="rating-4-2">4</label>
//         <input type="radio" id="rating-3-2" name="rating2" value="3" /><label for="rating-3-2">3</label>
//         <input type="radio" id="rating-2-2" name="rating2" value="2" /><label for="rating-2-2">2</label>
//         <input type="radio" id="rating-1-2" name="rating2" value="1" /><label for="rating-1-2">1</label>
//         <input type="radio" id="rating-0-2" name="rating2" value="0" class="star-cb-clear" /><label for="rating-0-2">0</label>
//     </span>
// </div>
.star-container {
    @include clearfix();

    .star-cb-group * {
        font-size: 20px;
    }

    .star-cb-group {
        font-size: 0;
        direction: rtl;
        float: left;
        margin-right: 5px;

        >input {
            display: none;

            &+label {
                display: inline-block;
                overflow: hidden;
                text-indent: 9999px;
                width: 1em;
                white-space: nowrap;
                cursor: pointer;
                margin-bottom: 0;

                &:before {
                    display: inline-block;
                    text-indent: -9999px;
                    content: "\e81d";
                    font-family: "ecs";
                    font-style: normal;
                    font-weight: normal;
                    text-decoration: inherit;
                    color: $primary-color;
                }
            }
        }

        input:checked~label:before,
        input+label:hover~label:before,
        input+label:hover:before {
            content: "\e820";
            font-family: "ecs";
            font-style: normal;
            font-weight: normal;
            text-decoration: inherit;
            color: $primary-color;
        }

        >.star-cb-clear {
            &+label {
                text-indent: -9999px;
                width: 0.5em;
                margin-left: -0.5em;

                &:before {
                    width: 0.5em;
                }
            }
        }

        &:hover {
            >input+label:before {
                content: "\e81d";
                font-family: "ecs";
                font-style: normal;
                font-weight: normal;
                text-decoration: inherit;
                color: $primary-color;
            }

            >input+label:hover~label:before,
            >input+label:hover:before {
                content: "\e820";
                color: $primary-color;
                font-family: "ecs";
                font-style: normal;
                font-weight: normal;
                text-decoration: inherit;
            }
        }
    }

    span.label {
        float: left;
        margin-right: 5px;
        line-height: 28px;
    }
}

/* star */

/* pin paper */
// .pin-paper{
//   display: block;
//   position: relative;
//   padding: 6px 12px;
//   background: $primary-color;
//   overflow: hidden;
//   border: 1px solid $primary-color;
//   color: $white;
//   em {
//     width: 0;
//     height: 0;
//     position: absolute;
//     bottom: 0;
//     right: 0;
//     z-index: 1;
//     -moz-box-shadow: -5px 2px 5px rgba( 0, 0, 0, 0.3);
//     -webkit-box-shadow: -5px 2px 5px rgba( 0, 0, 0, 0.3);
//     box-shadow: -5px 2px 5px rgba( 0, 0, 0, 0.3);
//     -webkit-transition: 0.25s ease-in-out all;
//     -moz-transition: 0.15s ease-in-out all;
//     -o-transition: 0.15s ease-in-out all;
//     transition: 0.15s ease-in-out all;
//   }
//   &:hover {
//     -moz-border-radius: 0 0 20px 0;
//     -webkit-border-radius: 0 0 20px 0;
//     border-radius: 0 0 20px 0;
//     em {
//       width: 15px;
//       height: 15px;
//       -webkit-transform: rotate(-10deg) translate3d( 0, 0, 0);
//       -moz-transform: rotate(-10deg) translate3d( 0, 0, 0);
//       -o-transform: rotate(-10deg) translate3d( 0, 0, 0);
//       transform: rotate(-10deg) translate3d( 0, 0, 0);
//     }
//   }
// }
/* pin paper */

/* rotating text */
// HTML
// <div class="rotating-text-container">
//     <div class="rotating-text">
//         <ul class="text-list">
//             <li class="text-list-item">abc</li>
//         </ul>
//     </div>
// </div>
// .rotating-text-container {
//   position:relative;
//   height: 20px;
//   .rotating-text {
//     position: absolute;
//     overflow: hidden;
//     height: 100%;
//     .text-list {
//         margin: 0;
//         padding: 0;
//         list-style: none;
//         -webkit-animation-name: change;
//         -webkit-animation-duration: 20s;
//         -webkit-animation-iteration-count: infinite;
//         animation-name: change;
//         animation-duration: 20s;
//         animation-iteration-count: infinite;
//         .text-list-item {
//             line-height: 20px;
//             margin: 0;
//         }
//     }
//   }
// }
// @-webkit-keyframes change {
//   0%, 12.66%, 100% {
//       -webkit-transform: translate3d(0,0,0);
//               transform: translate3d(0,0,0);
//   }
//   16.66%, 29.32% {
//       -webkit-transform: translate3d(0,-25%,0);
//               transform: translate3d(0,-25%,0);
//   }
//   33.32%,45.98% {
//       -webkit-transform: translate3d(0,-50%,0);
//               transform: translate3d(0,-50%,0);
//   }
//   49.98%,62.64% {
//       -webkit-transform: translate3d(0,-75%,0);
//               transform: translate3d(0,-75%,0);
//   }
//   66.64%,79.3% {
//       -webkit-transform: translate3d(0,-50%,0);
//               transform: translate3d(0,-50%,0);
//   }
//   83.3%,95.96% {
//       -webkit-transform: translate3d(0,-25%,0);
//               transform: translate3d(0,-25%,0);
//   }
// }
// @-o-keyframes change {
//   0%, 12.66%, 100% {
//       -webkit-transform: translate3d(0,0,0);
//               transform: translate3d(0,0,0);
//   }
//   16.66%, 29.32% {
//       -webkit-transform: translate3d(0,-25%,0);
//               transform: translate3d(0,-25%,0);
//   }
//   33.32%,45.98% {
//       -webkit-transform: translate3d(0,-50%,0);
//               transform: translate3d(0,-50%,0);
//   }
//   49.98%,62.64% {
//       -webkit-transform: translate3d(0,-75%,0);
//               transform: translate3d(0,-75%,0);
//   }
//   66.64%,79.3% {
//       -webkit-transform: translate3d(0,-50%,0);
//               transform: translate3d(0,-50%,0);
//   }
//   83.3%,95.96% {
//       -webkit-transform: translate3d(0,-25%,0);
//               transform: translate3d(0,-25%,0);
//   }
// }
// @-moz-keyframes change {
//   0%, 12.66%, 100% {
//       -webkit-transform: translate3d(0,0,0);
//               transform: translate3d(0,0,0);
//   }
//   16.66%, 29.32% {
//       -webkit-transform: translate3d(0,-25%,0);
//               transform: translate3d(0,-25%,0);
//   }
//   33.32%,45.98% {
//       -webkit-transform: translate3d(0,-50%,0);
//               transform: translate3d(0,-50%,0);
//   }
//   49.98%,62.64% {
//       -webkit-transform: translate3d(0,-75%,0);
//               transform: translate3d(0,-75%,0);
//   }
//   66.64%,79.3% {
//       -webkit-transform: translate3d(0,-50%,0);
//               transform: translate3d(0,-50%,0);
//   }
//   83.3%,95.96% {
//       -webkit-transform: translate3d(0,-25%,0);
//               transform: translate3d(0,-25%,0);
//   }
// }
// @keyframes change {
//   0%, 12.66%, 100% {
//       transform: translate3d(0,0,0);
//   }
//   16.66%, 29.32% {
//       transform: translate3d(0,-25%,0);
//   }
//   33.32%,45.98% {
//       transform: translate3d(0,-50%,0);
//   }
//   49.98%,62.64% {
//       transform: translate3d(0,-75%,0);
//   }
//   66.64%,79.3% {
//       transform: translate3d(0,-50%,0);
//   }
//   83.3%,95.96% {
//       transform: translate3d(0,-25%,0);
//   }
// }
// 6 is the number of animation.
// Here, there are 4 lines :
// 1 to 2
// 2 to 3
// 3 to 4
// 4 to 3
// 3 to 2
// 2 to 1
// 6x + 6y = 100 (100% duration)
// HERE :
// y = 4 -> Animation between two lines
// x = 12.66 -> Time spent o
// You can define a value and calculate the other if you want change speed or the number of linesn a line
/* rotating text */

/* mask arrow */
// .mask-arrow {
//   -webkit-clip-path: polygon(0 0, calc(50% - 30px) 0, 50% calc(0% + 30px), calc(50% + 30px) 0, 100% 0, 100% 100%, 0 100%);
//   clip-path: polygon(0 0, calc(50% - 30px) 0, 50% calc(0% + 30px), calc(50% + 30px) 0, 100% 0, 100% 100%, 0 100%);
// }
/* mask arrow */
/*#endregion*/

@media screen and (min-width: 1920px) {
    .container {
        width: 100%;
        padding-left: 15rem;
        padding-right: 15rem;
    }
}

@media screen and (max-width: 1200px) {

    /*#region index*/
    .container {
        width: 100%;
        padding-left: 10rem;
        padding-right: 10rem;
    }

    /*#endregion*/
}

@media screen and (max-width: 1280px) {}

@media screen and (max-width: 1024px) {

    /*#region core*/
    .bg-paralax {
        background-attachment: scroll;
    }

    .container {
        width: 100%;
        padding-left: 5rem;
        padding-right: 5rem;
    }

    .flex-container.row {
        @include clearfix;

        >[class*="col-"] {
            float: left;
        }
    }

    .blog-content {

        h1,
        h2,
        h3,
        h4,
        h5,
        h6 {
            margin-bottom: 15px;
        }

        p {
            font-size: 16px;
            margin-bottom: 15px;
        }

        img {
            margin: 15px auto;
        }
    }

    /*#endregion*/
}

@media screen and (max-width: 980px) {}

@media screen and (max-width: 768px) {

    /*#region core*/
    .container {
        width: 100%;
        padding-left: 5rem;
        padding-right: 5rem;
    }

    .blog-content {
        p {
            font-size: 14px;
        }

        img {
            width: 100%;
        }
    }

    /*#endregion*/
}

@media screen and (max-width: 650px) {}

@media screen and (max-width: 450px) {

    /*#region core*/
    .container {
        width: 100%;
        padding-left: 15px;
        padding-right: 15px;
    }

    .bg-paralax {
        padding: 20px 0;
    }

    .ilightbox:after {
        top: 5px;
        right: 5px;
        font-size: 20px;
        line-height: 20px;
    }

    .row {
        .col {
            margin-top: 20px;

            &:first-child {
                margin-top: 0;
            }
        }
    }

    .container-flex>.row {
        @include flex-container();

        >.col:nth-child(1) {
            -webkit-box-ordinal-group: 3;
            -webkit-order: 2;
            -ms-flex-order: 2;
            order: 2;
            width: 100%;
            float: none;
        }

        >.col:nth-child(2) {
            -webkit-box-ordinal-group: 2;
            -webkit-order: 1;
            -ms-flex-order: 1;
            order: 1;
            width: 100%;
            float: none;
            margin-top: 0;
        }
    }

    .flex-container {
        [class*="col-"] {
            width: 100%;
        }
    }

    /*#endregion*/
}

@media screen and (max-width: 375px) {}

@media screen and (max-width: 360px) {
    /*#region product*/
    /*#endregion*/
}

@media screen and (max-width: 320px) {}

/*------------------------------------*\
  STYLE FIX ALL BROWSER
\*------------------------------------*/

/*#region firefox*/
@-moz-document url-prefix() {
    /*Code is here*/
}

/*#endregion*/

/*#region ie*/
@media screen and (-ms-high-contrast: active),
(-ms-high-contrast: none) {
    .masonry-css>* {
        display: inline;
    }

    .flex-container {
        -webkit-box-pack: start;
        -webkit-justify-content: flex-start;
        -ms-flex-pack: start;
        justify-content: flex-start;
    }
}

/*#endregion*/